As a user, I want to scope repository permissions by lifecycle environment

03/15/2018 05:09 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Roles and Permissions   

Target version: Katello 3.8.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/751
Description

Adding a lifecycle environment check to readable repositories would allow finer control of visibility.

Specifically, only allowing read access to a "Production" lifecycle would keep users from seeing other pre-production environments.

Associated revisions

Revision f7210e86 - 07/24/2018 06:43 PM - Michael Johnson

Fixes #22914 - Add repo perms to lifecycle environment

History

#1 - 03/15/2018 05:54 PM - Thomas McKay

- Assignee set to Thomas McKay

#2 - 03/21/2018 05:50 PM - Justin Sherrill

- translation missing: en.field_release set to 338

- Difficulty set to easy

#3 - 06/19/2018 06:35 PM - Thomas McKay

- translation missing: en.field_release changed from 338 to 349

#4 - 07/03/2018 08:46 PM - Partha Aji

- Triaged set to No

Tom,

This is not really feasible in the present model given that the permissions are set on the products and not repositories. What exactly did you have in

mind? May be permitting products in a given environment ?

#5 - 07/03/2018 09:18 PM - Thomas McKay

https://github.com/Katello/katello/blob/ca2af71b39de355989aca40aed675292f923d00f/app/controllers/katello/api/registry/registry_proxies_controller.r

b#L69-L78

#6 - 07/10/2018 03:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7514 added

#7 - 07/25/2018 02:22 PM - Michael Johnson

- Status changed from Ready For Testing to Closed

Applied in changeset katello|f7210e86c0a59dc11637c1e99c927f236a099b59.
